IsPeriodic 属性 (ActiveX)
确定给定样条是否为周期性样条曲线。 支持的平台:仅限 Windows 属性值只读:是的 类型:布尔
言论没有其他评论。 例子VBA: Sub Example_IsPeriodic() ' This example creates a Spline object in model space and ' determines if the Spline is periodic Dim splineObj As AcadSpline Dim startTan(0 To 2) As Double, endTan(0 To 2) As Double Dim fitPoints(0 To 8) As Double Dim UserMessage As String ' Define the Spline object startTan(0) = 0.5: startTan(1) = 0.5: startTan(2) = 0 endTan(0) = 0.5: endTan(1) = 0.5: endTan(2) = 0 fitPoints(0) = 0: fitPoints(1) = 0: fitPoints(2) = 0: fitPoints(3) = 5 fitPoints(4) = 5: fitPoints(5) = 0: fitPoints(6) = 10: fitPoints(7) = 0: fitPoints(8) = 0 ' Create new Spline object Set splineObj = ThisDrawing.ModelSpace.AddSpline(fitPoints, startTan, endTan) ThisDrawing.Application.ZoomAll ' Display whether or not new Spline is periodic UserMessage = IIf(splineObj.IsPeriodic, "is periodic", "is not periodic") MsgBox "The new Spline " & UserMessage End Sub 可视化 LISP: (vl-load-com) (defun c:Example_IsPeriodic() ;; This example creates a Spline object in model space and ;; determines if the Spline is periodic (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the Spline object (setq startTan (vlax-3d-point 0.5 0.5 0) endTan (vlax-3d-point 0.5 0.5 0) fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8))) (vlax-safearray-fill fitPoints '(0 0 0 5 5 0 10 0 0 ) ) ;; Create new Spline object (setq modelSpace (vla-get-ModelSpace doc)) (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan)) (vla-ZoomAll acadObj) ;; Display whether or not new Spline is periodic (setq UserMessage (if (= (vla-get-IsPeriodic splineObj) :vlax-true) "is periodic" "is not periodic")) (alert (strcat "The new Spline " UserMessage)) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 22:21
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.